/*
 * Created on Jan 10, 2005
 * Scores.java
 * t a y l o r@msoe.edu
 * Scores class keeps track of a set of assignment scores.
 */
package cs1020;

/**
 * @author t a y l o r@msoe.edu
 *
 * Scores class keeps track of a set of assignment scores.
 */
public class Scores {
    protected final static int NUM_OF_SCORES = 10;
    
    protected int[] scores;
    protected double overallScore;
    
    public Scores() {
        scores = new int[NUM_OF_SCORES];
        overallScore = 0.0;
    }
    
    public double getOverallScore() {
        calcOverallScore();
        return overallScore;
    }
    
    public int getScore(int assignmentNum) {
        return scores[assignmentNum-1];
    }
    
    public void setScore(int assignmentNum, int score) {
        scores[assignmentNum-1] = score;
    }

    public void setScore(int assignmentNum, int score, double ignore) {
        setScore(assignmentNum, score);
    }
    
    protected void calcOverallScore() {
        int total = 0;
        for(int i=0; i<NUM_OF_SCORES; ++i) {
            total += scores[i];
        }
        overallScore = (double)total/NUM_OF_SCORES;
    }
}
